Build failure when adding meta-cgl


gkarasin@...
 

Hi,

I recently cloned yocto project and followed the guide(https://git.yoctoproject.org/meta-cgl/about/) to build a cgl image.
But when running any bitbake command I got:
gabi@ubuntu-lp:~/yocto/cgl$ bitbake-layers show-recipes  "*-image-*"
NOTE: Starting bitbake server...
ERROR: ParseError at /home/gabi/yocto/poky/meta-cgl/meta-cgl-common/conf/distro/poky-cgl.conf:1: Could not include required file conf/distro/poky-lsb.conf
ERROR: ParseError at /home/gabi/yocto/poky/meta-cgl/meta-cgl-common/conf/distro/poky-cgl.conf:1: Could not include required file conf/distro/poky-lsb.conf

gabi@ubuntu-lp:~/yocto/cgl$ bitbake core-image-minimal
ERROR: ParseError at /home/gabi/yocto/poky/meta-cgl/meta-cgl-common/conf/distro/poky-cgl.conf:1: Could not include required file conf/distro/poky-lsb.conf
From what I see poky-lsb was replaced by poky-altcfg in:
commit a91448bf731ef29a841a93e991e7b75efb5f1e28
Author: Richard Purdie <richard.purdie@...>
Date:   Wed Aug 28 17:21:23 2019 +0100
 
    poky-altcfg: Replace poky-lsb with poky-altcfg
    
    LSB has been removed, replace poky-lsb with poky-altcfg, a place
    where we can test different configurations on the autobuilder as well
    as showing an example of how to subclass a distro configuration.
    
    (From meta-yocto rev: 00fdefff55717331a220fe624f29c387970d31d7)
    
    Signed-off-by: Richard Purdie <richard.purdie@...>

Results in failing the first line in poky-cgl.conf:
meta-cgl/meta-cgl-common/conf/distro/poky-cgl.conf:1:require conf/distro/poky-lsb.conf

After changing it to "require conf/distro/poky-altcfg.conf" bitbake seems to run fine.

Haven't found any fix or bug on it, is it a known issue or maybe I missed something?

Thanks,
Gabi

Join yocto@lists.yoctoproject.org to automatically receive all group messages.